CMSIS-DSP: arm_linear_interp_example_f32.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_linear_interp_example_f32.c File Reference

## Macros

#define | SNR_THRESHOLD
#define | TEST_LENGTH_SAMPLES
#define | XSPACING

## Functions

int32_t | main (void)

## Variables

float32_t | testInputSin_f32 [TEST_LENGTH_SAMPLES]
float32_t | testRefSinOutput32_f32 [TEST_LENGTH_SAMPLES]
float32_t | testOutput [TEST_LENGTH_SAMPLES]
float32_t | testLinIntOutput [TEST_LENGTH_SAMPLES]
const float | arm_linear_interep_table [1884]
float32_t | snr1
float32_t | snr2

## Macro Definition Documentation

#define SNR_THRESHOLD

#define TEST_LENGTH_SAMPLES

Examples:
  arm_linear_interp_example_f32.c.

#define XSPACING

Examples:
  arm_linear_interp_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_linear_interp_example_f32.c.

## Variable Documentation

const float arm_linear_interep_table[1884]

Examples:
  arm_linear_interp_example_f32.c.

float32_t snr1

Examples:
  arm_linear_interp_example_f32.c.

float32_t snr2

Examples:
  arm_linear_interp_example_f32.c.

float32_t testInputSin_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

float32_t testLinIntOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

float32_t testOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

float32_t testRefSinOutput32_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.